get
/public_api/appsec/v1/application/criteria/all
Retrieves a paginated list of all criteria.
Required license:
Cortex XSIAM Premium. In Cortex XSIAM Enterprise and Cortex NG SIEM, requires the Cortex Cloud Posture Management add-on. Not supported in XSIAM Enterprise Plus.
Query parameters
page
Double
Current page number in the paginated response.
double
Current page number in the paginated response.
Example:
1.2
pageSize
Double
Total number of items in the current page.
double
Total number of items in the current page.
Example:
1.2
CLIENT REQUEST
curl -X 'GET'
-H
'Accept: application/json'
'https://api-yourfqdn/public_api/appsec/v1/application/criteria/all?page=1.2&pageSize=1.2'
import http.client
conn = http.client.HTTPSConnection("api-yourfqdn")
conn.request("GET", "/public_api/appsec/v1/application/criteria/all?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE")
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-yourfqdn/public_api/appsec/v1/application/criteria/all?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyconst data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://api-yourfqdn/public_api/appsec/v1/application/criteria/all?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE");
xhr.send(data);HttpResponse<String> response = Unirest.get("https://api-yourfqdn/public_api/appsec/v1/application/criteria/all?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE")
.asString();import Foundation
let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/appsec/v1/application/criteria/all?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-yourfqdn/public_api/appsec/v1/application/criteria/all?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/appsec/v1/application/criteria/all?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-yourfqdn/public_api/appsec/v1/application/criteria/all?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);Responses